FIXTDEINCLUDES(1)

NAME
fixkdeincludes - reduce the number of #includes in TDE source files

SYNOPSIS
fixkdeincludes [ -v, --verbose ] [ -e, --experimental ] [ -m, --modify ] [ file ... ]
fixkdeincludes --help

DESCRIPTION
fixkdeincludes tries to reduce the number of #includes in C++ source files. Much of its processing is specific to TDE sources and so it might not work so well with sources for non-TDE applications.

The following problems are identified by fixkdeincludes:

    Including headers that are no longer supported but which exist for compatibility with older Qt/KDE versions;

    Including the same file multiple times;

    Using #include <...> instead of #include "...".

There is also an experimental mode which tries removing each #include one at a time (with a few exceptions) to see whether the source still compiles. Note that this experimental mode will modify the original sources.

By default the sources will not be modified; the identified problems will simply be written to standard output.

The list of C++ sources to examine should be given on the command-line. If no files are given, all C++ sources in or beneath the current directory will be examined (with the exception of directories whose Makefile.am contains -UTDE_NO_COMPAT).

This utility is part of the TDE Software Development Kit.

OPTIONS

-v, --verbose
    Verbose mode. Additional debugging information is written to standard output.

-e, --experimental
    Experimental mode, as described above in detail. Note that this option implies --modify.

-m, --modify
    As well as writing messages to standard output, actually modify the original sources to fix any problems that were found.

AUTHOR
fixkdeincludes was written by Dirk Mueller <mueller@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).